/**
  @file       qa.ottocity.css
  @brief      oTToCity 測試環境樣式
  @date       2023-06-13: Chiuhua + 230600937, Create
	@date       2023-08-23: Chiuhua + 230809782, 新增 modern banner_darkmode 樣式
	@date       2023-12-06: Chiuhua # 230809782, 自主改良 qa 浮水印透明度
*/

/* qa oTToCity */
.qaOC {}

/* qaOC - banner_wrapper, 預設淺底, position:fixed, 風格變化以繼承方式處理, 寫在品牌的差異樣式檔案 */
/* 2023-12-06: Chiuhua # 230809782, 自主改良 qa 浮水印透明度 */
.qaOC .banner_wrapper {}
.qaOC .banner_wrapper:before {content:'';position:fixed;left:0px;right:0px;top:0px;bottom:auto;margin:auto;width:100%;max-width:inherit;height:inherit;overflow:hidden;background-image:url(../image/watermark_qa_orange.svg);background-size:auto 75%;background-repeat:repeat-x;z-index:-1;opacity:0.28;}

/* qaOC - banner_wrapper darkmode, 深底 */
/* 2023-08-23: Chiuhua + 230809782, 新增 modern banner_darkmode 樣式 */
.qaOC .banner_wrapper[class*="_darkmode"]:before {background-image:url(../image/watermark_qa_yellow_light80_alpha30.svg);opacity:1;}

/* qaOC - 開窗, 預設深底, 風格變化以繼承方式處理, 寫在品牌的差異樣式檔案 */
.qaOC .ui-dialog .ui-dialog-titlebar {background-size:auto 100%;background-image:url(../image/watermark_qa_yellow_light80_alpha30.svg);}
